Core - Bug # 38728

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Closed Priority: Should have
Author: Helmut Hummel Category: Backend User Interface
Created: 2012-07-07 Assigned To: Helmut Hummel
Updated: 2015-02-10 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Make all action icons look like buttons

Description

Related issues:
related to TYPO3 CMS Usability Team - Suggestion # 36052: Visual improvements... Resolved

History

#1 - 2012-07-08 09:04 - Steffen Ritter

In the parent task the icons for link wizard date picker and so on are put onto an button look and feel.

As this does not blog to irre but general tce forms the task got extracted

#2 - 2012-07-08 17:03 - Steffen Ritter

- Parent task changed from #36052 to #38755

#3 - 2014-10-27 01:27 - Felix Kopp

- Status changed from New to Accepted

- Is Regression set to No

#4 - 2015-02-09 15:27 - Felix Kopp

- Status changed from Accepted to Closed

This is an ongoing process that does not require this "epic" - will be closed.

Status: all action icons contained in table cells are buttons already. Save/edit icons became buttons.

DocHeader will be next somewhen in the near future.

#5 - 2015-02-10 00:28 - Ingo Renner

FYI, this may or may not be helpful here:

| had the need of having an actual button that submits a form on a couple occasions in EXT:solr and EXT:tika. Of course you could build that yourself

in fluid, but that would mean duplicate code. So | created a view helper that does just that; render a form with a single button triggering a controller's

action.

Possible improvements:

- icon
- ajax (when clicked replace icon with spinner, flash green when action was successful)

https://github.com/irnnr/typo3-ext-solr/blob/master/Classes/ViewHelpers/Backend/Button/ActionButtonViewHelper.php

HTH, cheers
